liborigin 2.0.0

Public Member Functions | Protected Member Functions | List of all members
Origin610Parser Class Reference

`#include <Origin610Parser.h>`

Inheritance diagram for Origin610Parser:

## Public Member Functions
| Origin610Parser (const string &fileName)
bool | parse ()
Public Member Functions inherited from Origin800Parser
| Origin800Parser (const string &fileName)
bool | parse ()
Public Member Functions inherited from Origin750Parser
| Origin750Parser (const string &fileName)
bool | parse ()
Public Member Functions inherited from OriginParser
vector< Origin::Excel >::difference_type | findExcelByName (const string &name) const
vector< Origin::Function >::difference_type | findFunctionByName (const string &name) const
vector< Origin::Matrix >::difference_type | findMatrixByName (const string &name) const
vector< Origin::SpreadSheet >::difference_type | findSpreadByName (const string &name) const
virtual bool | parse ()=0
void | setFileVersion (unsigned int version)
virtual | ~OriginParser ()

## Protected Member Functions
int | findObjectInfoSectionByName (unsigned int start, const string &name)
bool | readGraphInfo ()
void | readMatrixInfo ()
void | readNotes ()
void | readResultsLog ()
void | readSpreadInfo ()
Protected Member Functions inherited from Origin800Parser
bool | findSection (const string &name, unsigned int length, unsigned int maxLength=0)
unsigned int | findStringPos (const string &name)
void | readColumnInfo (int spread, int)
void | readGraphInfo ()
void | readMatrixInfo ()
virtual void | readNotes ()
void | readResultsLog ()
void | readSpreadInfo ()
void | skipObjectInfo ()
Protected Member Functions inherited from Origin750Parser
time_t | doubleToPosixTime (double jdt)
virtual void | readColorMap (ColorMap &colorMap)
void | readExcelInfo ()
void | readGraphAxisBreakInfo (GraphAxisBreak &axis_break)
void | readGraphAxisFormatInfo (GraphAxisFormat &format)
unsigned int | readGraphAxisInfo (GraphAxis &axis)
void | readGraphAxisPrefixSuffixInfo (const string &sec_name, unsigned int size, GraphLayer &layer)
void | readGraphAxisTickLabelsInfo (GraphAxisTick &tick)
void | readGraphGridInfo (GraphGrid &grid)
void | readGraphInfo ()
void | readMatrixInfo ()
void | readProjectTree ()
virtual void | readProjectTreeFolder (tree< ProjectNode >::iterator parent)
void | readSpreadInfo ()
void | readWindowProperties (Window &window, unsigned int size)
void | skipLine ()
double | stringToDouble (const string &s)
Protected Member Functions inherited from OriginParser
void | convertSpreadToExcel (vector< Origin::SpreadSheet >::size_type spread)
int | findColumnByName (int spread, const string &name)
pair< string, string > | findDataByIndex (unsigned int index) const
vector< Origin::SpreadColumn >::difference_type | findExcelColumnByName (vector< Origin::Excel >::size_type excel, vector< Origin::SpreadSheet >::size_type sheet, const string &name) const
pair< Origin::ProjectNode::NodeType, string > | findObjectByIndex (unsigned int index) const
vector< Origin::SpreadColumn >::difference_type | findSpreadColumnByName (vector< Origin::SpreadSheet >::size_type spread, const string &name) const

## Additional Inherited Members
Public Attributes inherited from OriginParser
vector< Origin::Excel > | excels
unsigned int | fileVersion
vector< Origin::Function > | functions
vector< Origin::Graph > | graphs
vector< Origin::Matrix > | matrixes
vector< Origin::Note > | notes
tree< Origin::ProjectNode > | projectTree
string | resultsLog
vector< Origin::SpreadSheet > | speadSheets
unsigned int | windowsCount
Protected Attributes inherited from Origin800Parser
string | notes_pos_mark
Protected Attributes inherited from Origin750Parser
unsigned int | d_colormap_offset
unsigned int | d_file_size
unsigned int | d_start_offset
iendianfstream | file
FILE * | logfile
unsigned int | objectIndex

## Constructor & Destructor Documentation

## ◆ Origin610Parser()

Origin610Parser::Origin610Parser | ( | const string & | fileName | ) |

References Origin750Parser::d_start_offset.

## Member Function Documentation

## ◆ findObjectInfoSectionByName()

int Origin610Parser::findObjectInfoSectionByName | ( | unsigned int | start,
|  | const string & | name
| ) |  |
| protected

References Origin750Parser::file, LOG_PRINT, and Origin750Parser::logfile.

Referenced by parse().

## ◆ parse()

bool Origin610Parser::parse | ( |  | ) |
| virtual

Implements OriginParser.

Reimplemented in Origin700Parser.

References Origin750Parser::d_file_size, Origin750Parser::d_start_offset, Origin750Parser::file, OriginParser::findExcelByName(), OriginParser::findMatrixByName(), findObjectInfoSectionByName(), OriginParser::findSpreadByName(), OriginParser::functions, LOG_PRINT, Origin750Parser::logfile, OriginParser::matrixes, Origin750Parser::readExcelInfo(), readGraphInfo(), readMatrixInfo(), readNotes(), Origin750Parser::readProjectTree(), readResultsLog(), readSpreadInfo(), and OriginParser::speadSheets.

## ◆ readGraphInfo()

bool Origin610Parser::readGraphInfo | ( |  | ) |
| protected

References Origin::VectorProperties::angleColumnName, Origin::VectorProperties::arrowAngle, Origin::VectorProperties::arrowClosed, Origin::VectorProperties::arrowLenght, Origin::Figure::attach, Origin::Line::attach, Origin::Bitmap::attach, Origin::SurfaceProperties::backColor, Origin::SurfaceProperties::backColorEnabled, Origin::GraphLayer::backgroundColor, Origin::BDiagMedium, Origin::Line::begin, Origin::GraphLayer::bitmaps, Origin::Bitmap::borderType, Origin::GraphLayer::borderType, Origin::SurfaceProperties::bottomContour, Origin::PercentileProperties::boxCoeff, Origin::PercentileProperties::boxRange, Origin::GraphCurve::boxWidth, Origin::Figure::clientRect, Origin::Line::clientRect, Origin::Bitmap::clientRect, Origin::GraphLayer::clientRect, Origin::PieProperties::clockwiseRotation, Origin::VectorProperties::color, Origin::TextProperties::color, Origin::Figure::color, Origin::Line::color, Origin::ColorScale::colorBarThickness, Origin::SurfaceProperties::colorMap, Origin::GraphCurve::colorMap, Origin::GraphLayer::colorScale, Origin::GraphCurve::connectSymbols, Origin::VectorProperties::constAngle, Origin::VectorProperties::constMagnitude, Origin::SurfaceProperties::SurfaceColoration::contour, Origin::GraphLayer::curves, Origin750Parser::d_file_size, Origin::Bitmap::data, Origin::GraphCurve::dataName, Origin::DiagCrossMedium, Origin::PercentileProperties::diamondBox, Origin::PieProperties::displacedSectionCount, Origin::PieProperties::displacement, Origin::PieProperties::distance, Origin::Line::end, Origin::VectorProperties::endXColumnName, Origin::VectorProperties::endYColumnName, Origin::FDiagMedium, Origin::GraphLayer::figures, Origin750Parser::file, Origin::SurfaceProperties::SurfaceColoration::fill, Origin::GraphCurve::fillArea, Origin::GraphCurve::fillAreaColor, Origin::Figure::fillAreaColor, Origin::GraphCurve::fillAreaPattern, Origin::Figure::fillAreaPattern, Origin::GraphCurve::fillAreaPatternBorderColor, Origin::GraphCurve::fillAreaPatternBorderStyle, Origin::GraphCurve::fillAreaPatternBorderWidth, Origin::GraphCurve::fillAreaPatternColor, Origin::Figure::fillAreaPatternColor, Origin::GraphCurve::fillAreaPatternWidth, Origin::GraphCurve::fillAreaType, Origin::ColorMap::fillEnabled, OriginParser::findDataByIndex(), Origin::TextProperties::fontBold, Origin::TextProperties::fontItalic, Origin::TextProperties::fontSize, Origin::TextProperties::fontUnderline, Origin::PieProperties::formatAutomatic, Origin::GraphAxis::formatAxis, Origin::PieProperties::formatCategories, Origin::PieProperties::formatPercentages, Origin::PieProperties::formatValues, Origin::SurfaceProperties::frontColor, OriginParser::graphs, Origin::SurfaceProperties::gridColor, Origin::SurfaceProperties::gridLineWidth, Origin::SurfaceProperties::grids, Origin::GraphLayer::histogramBegin, Origin::GraphLayer::histogramBin, Origin::GraphLayer::histogramEnd, Origin::GraphLayer::hLine, Origin::HorizontalMedium, Origin::PieProperties::horizontalOffset, Origin::GraphLayer::imageProfileTool, Origin::GraphLayer::is3D(), Origin::GraphLayer::isXYY3D, Origin::TextProperties::justify, Origin::GraphAxisFormat::label, Origin::ColorScale::labelGap, Origin::ColorScale::labelsColor, Origin::GraphLayer::legend, Origin::SurfaceProperties::SurfaceColoration::lineColor, Origin::GraphCurve::lineColor, Origin::GraphCurve::lineConnect, Origin::GraphLayer::lines, Origin::GraphCurve::lineStyle, Origin::SurfaceProperties::SurfaceColoration::lineWidth, Origin::GraphCurve::lineWidth, LOG_PRINT, Origin750Parser::logfile, Origin::VectorProperties::magnitudeColumnName, Origin::GraphAxis::majorTicks, Origin::GraphAxis::max, Origin::PercentileProperties::maxSymbolType, Origin::PercentileProperties::meanSymbolType, Origin::GraphAxis::min, Origin::GraphAxis::minorTicks, Origin::GraphAxisBreak::minorTicksBefore, Origin::PercentileProperties::minSymbolType, Origin::VectorProperties::multiplier, Origin::NoFill, Origin::None, Origin::Color::None, Origin750Parser::objectIndex, Origin::PercentileProperties::p1SymbolType, Origin::PercentileProperties::p99SymbolType, Origin::GraphLayer::percentile, Origin::GraphCurve::pie, Origin::GraphLayer::pieTexts, Origin::GraphCurve::pointOffset, Origin::VectorProperties::position, Origin::GraphAxis::position, Origin::PieProperties::positionAssociate, Origin::PieProperties::radius, Origin750Parser::readColorMap(), Origin750Parser::readGraphAxisBreakInfo(), Origin750Parser::readGraphAxisInfo(), Origin750Parser::readGraphAxisPrefixSuffixInfo(), Origin750Parser::readWindowProperties(), Origin::Color::Regular, Origin::Color::regular, Origin::ColorScale::reverseOrder, Origin::PieProperties::rotation, Origin::TextProperties::rotation, Origin::GraphAxis::scale, Origin::GraphAxisBreak::scaleIncrementBefore, Origin::LineVertex::shapeLength, Origin::LineVertex::shapeType, Origin::LineVertex::shapeWidth, Origin::SurfaceProperties::sideWallEnabled, Origin::Bitmap::size, Origin750Parser::skipLine(), Origin::GraphAxis::step, Origin::Figure::style, Origin::Line::style, Origin::SurfaceProperties::surface, Origin::GraphCurve::surface, Origin::PercentileProperties::symbolColor, Origin::GraphCurve::symbolColor, Origin::PercentileProperties::symbolFillColor, Origin::GraphCurve::symbolFillColor, Origin::PercentileProperties::symbolSize, Origin::GraphCurve::symbolSize, Origin::GraphCurve::symbolThickness, Origin::GraphCurve::symbolType, Origin::GraphCurve::text, Origin::GraphLayer::texts, Origin::PieProperties::thickness, Origin::SurfaceProperties::topContour, Origin::Color::type, Origin::SurfaceProperties::type, Origin::GraphCurve::type, Origin::Figure::type, Origin::Figure::useBorderColor, Origin::GraphCurve::vector, Origin::VerticalMedium, Origin::PieProperties::viewAngle, Origin::GraphLayer::vLine, Origin::PercentileProperties::whiskersCoeff, Origin::PercentileProperties::whiskersRange, Origin::TextProperties::whiteOut, Origin::VectorProperties::width, Origin::Figure::width, Origin::Line::width, Origin::LineVertex::x, Origin::GraphLayer::xAxis, Origin::GraphLayer::xAxisBreak, Origin::GraphCurve::xColumnName, Origin::GraphLayer::xLength, Origin::TextProperties::xOffset, Origin::SurfaceProperties::xSideWallColor, Origin::LineVertex::y, Origin::GraphLayer::yAxis, Origin::GraphLayer::yAxisBreak, Origin::GraphCurve::yColumnName, Origin::GraphLayer::yLength, Origin::TextProperties::yOffset, Origin::SurfaceProperties::ySideWallColor, Origin::GraphLayer::zAxis, Origin::GraphCurve::zColumnName, and Origin::GraphLayer::zLength.

Referenced by parse().

## ◆ readMatrixInfo()

void Origin610Parser::readMatrixInfo | ( |  | ) |
| protected

References Origin750Parser::d_file_size, Origin::DecimalPlaces, Origin750Parser::file, OriginParser::findMatrixByName(), LOG_PRINT, Origin750Parser::logfile, OriginParser::matrixes, Origin750Parser::readWindowProperties(), Origin::SignificantDigits, Origin800Parser::skipObjectInfo(), and Origin750Parser::stringToDouble().

Referenced by parse().

## ◆ readNotes()

void Origin610Parser::readNotes | ( |  | ) |
| protected virtual

Reimplemented from Origin800Parser.

References Origin::Rect::bottom, Origin750Parser::d_file_size, Origin750Parser::doubleToPosixTime(), Origin750Parser::file, Origin800Parser::findStringPos(), Origin::Rect::left, LOG_PRINT, Origin750Parser::logfile, OriginParser::notes, Origin750Parser::objectIndex, Origin::Rect::right, Origin750Parser::skipLine(), and Origin::Rect::top.

Referenced by parse(), and Origin700Parser::parse().

## ◆ readResultsLog()

void Origin610Parser::readResultsLog | ( |  | ) |
| protected

References Origin750Parser::file, Origin800Parser::findStringPos(), LOG_PRINT, Origin750Parser::logfile, and OriginParser::resultsLog.

Referenced by parse(), and Origin700Parser::parse().

## ◆ readSpreadInfo()

void Origin610Parser::readSpreadInfo | ( |  | ) |
| protected

References Origin750Parser::d_file_size, Origin::Date, Origin::Day, Origin::DecimalPlaces, Origin750Parser::file, OriginParser::findColumnByName(), OriginParser::findSpreadByName(), OriginParser::findSpreadColumnByName(), LOG_PRINT, Origin750Parser::logfile, Origin::Month, Origin::Numeric, Origin750Parser::readWindowProperties(), Origin::SignificantDigits, Origin800Parser::skipObjectInfo(), OriginParser::speadSheets, Origin::Text, Origin::TextNumeric, and Origin::Time.

Referenced by parse(), and Origin700Parser::parse().

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/Origin610Parser.h
- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/Origin610Parser.cpp